---
title: "**echo**(1) acceptance tests"
author: Lars Wirzenius / The Fable project
...

Introduction
=============================================================================

**echo**(1) is a Unix command line tool, which writes its command line
arguments to the standard output. This is a simple acceptance test
suite for the `/bin/echo` implementation.

No arguments
=============================================================================

This scenario runs `/bin/echo` without arguments and checks that it
outputs a single newline character to the standard output, nothing to
the standard error, and exits with a zero exit code.

```fable
when user runs echo without arguments
then exit code is 0
and standard output contains a newline
and standard error is empty
```

Hello, world
=============================================================================

This scenario runs `/bin/echo` to produce the output "hello, world".

```fable
when user runs echo with arguments hello, world
then exit code is 0
and standard output contains "hello, world"
and standard error is empty
```
